Package be.ehealth.businessconnector.hub.service.impl

# Class IntraHubAccessRightServiceImpl

java.lang.Object
be.ehealth.businessconnector.hub.service.impl.IntraHubAccessRightServiceImpl

All Implemented Interfaces:
  `IntraHubAccessRightService`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class IntraHubAccessRightServiceImpl extends Object implements IntraHubAccessRightService, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation of `IntraHubAccessRightService` Extends : `IntraHubAbstract`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntraHubAccessRightServiceImpl()`
  needed for ModuleBootstrapHook.
  `IntraHubAccessRightServiceImpl(IntraHubService hubService, HubReplyValidator validator)`
  Instantiates a new intra hub access right service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `AccessRightListType`
  `getAccessRight(TransactionIdType transaction)`
  Gets the access right.
  `TransactionAccessListType`
  `getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail)`
  Gets the patient audit trail.
  `void`
  `putAccessRight(AccessRightType accessRight)`
  Put access right.
  `void`
  `revokeAccessRight(SelectRevokeAccessRightType accessRight)`
  Revoke access right.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IntraHubAccessRightServiceImpl

    public IntraHubAccessRightServiceImpl(IntraHubService hubService, HubReplyValidator validator) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Instantiates a new intra hub access right service.
    Parameters:
      `hubService` - the hub service
      `validator` - the validator
    Throws:
      `TechnicalConnectorException` - the technical connector exception
      `IntraHubBusinessConnectorException` - the business connector exception

  - ### IntraHubAccessRightServiceImpl

    public IntraHubAccessRightServiceImpl()
    needed for ModuleBootstrapHook. dont create service with this constructor.

- ## Method Details

  - ### putAccessRight

    public void putAccessRight(AccessRightType accessRight) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Description copied from interface: `IntraHubAccessRightService`
    Put access right.
    Specified by:
      `putAccessRight` in interface `IntraHubAccessRightService`
    Parameters:
      `accessRight` - the access right
    Throws:
      `TechnicalConnectorException`
      `IntraHubBusinessConnectorException`
    See Also:
      - `IntraHubAccessRightService.putAccessRight(be.fgov.ehealth.hubservices.core.v1.AccessRightType)`

  - ### getAccessRight

    public AccessRightListType getAccessRight(TransactionIdType transaction) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Description copied from interface: `IntraHubAccessRightService`
    Gets the access right.
    Specified by:
      `getAccessRight` in interface `IntraHubAccessRightService`
    Parameters:
      `transaction` - the transaction
    Returns:
      the access right
    Throws:
      `TechnicalConnectorException`
      `IntraHubBusinessConnectorException`
    See Also:
      - `IntraHubAccessRightService.getAccessRight(be.fgov.ehealth.hubservices.core.v1.TransactionIdType)`

  - ### revokeAccessRight

    public void revokeAccessRight(SelectRevokeAccessRightType accessRight) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Description copied from interface: `IntraHubAccessRightService`
    Revoke access right.
    Specified by:
      `revokeAccessRight` in interface `IntraHubAccessRightService`
    Parameters:
      `accessRight` - the access right
    Throws:
      `TechnicalConnectorException`
      `IntraHubBusinessConnectorException`
    See Also:
      - `IntraHubAccessRightService.revokeAccessRight(be.fgov.ehealth.hubservices.core.v1.SelectRevokeAccessRightType)`

  - ### getPatientAuditTrail

    public TransactionAccessListType getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Description copied from interface: `IntraHubAccessRightService`
    Gets the patient audit trail.
    Specified by:
      `getPatientAuditTrail` in interface `IntraHubAccessRightService`
    Parameters:
      `patientAuditTrail` - the patient audit trail
    Returns:
      the patient audit trail
    Throws:
      `TechnicalConnectorException`
      `IntraHubBusinessConnectorException`
    See Also:
      - `IntraHubAccessRightService.getPatientAuditTrail(be.fgov.ehealth.hubservices.core.v1.SelectGetPatientAuditTrailType)`

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`